Bug 197892

Summary: graphics/aqsis fails to build when USE_GCC=yes implies GCC 4.9
Product: Ports & Packages Reporter: Gerald Pfeifer <gerald>
Component: Individual Port(s)Assignee: freebsd-ports-bugs mailing list <ports-bugs>
Status: Closed Overcome By Events    
Severity: Affects Some People CC: mandree
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Bug Depends on:    
Bug Blocks: 196712    

Description Gerald Pfeifer freebsd_committer 2015-02-22 01:21:08 UTC
This is related to PR 196712 and blocks updating the default version
of GCC from 4.8 to 4.9.

I believe what is happening here is that OpenEXR uses GCC on older 
versions of FreeBSD and when linking with the OpenEXR libraries we
then fail to pull in the proper NEWER GCC run-time libraries.

This can be fixed by building (or at least linking) with the same
compiler that OpenEXR is built with.  See OpenEXR/Makefile for how
this is done there. 

http://package18.nyi.freebsd.org/data/93i386-default-PR196712/2015-01-18_16h49m19s/logs/errors/aqsis-1.8.2_9.log

Linking CXX executable aqsltell
cd /wrkdirs/usr/ports/graphics/aqsis/work/.build/tools/aqsltell && /usr/local/bin/cmake -E cmake_link_script CMakeFiles/aqsltell.dir/link.txt --verbose=1
/usr/bin/c++   -O2 -pipe -fno-strict-aliasing -O2 -pipe -fno-strict-aliasing   -L/usr/local/lib CMakeFiles/aqsltell.dir/aqsltell.cpp.o  -o aqsltell  -L/usr/local/lib  ../../libs/slxargs/libaqsis_slxargs.so.1.8 ../../libs/shadervm/libaqsis_shadervm.so.1.8 ../../libs/tex/libaqsis_tex.so.1.8 ../../libs/util/libaqsis_util.so.1.8 /usr/local/lib/libboost_filesystem.so /usr/local/lib/libboost_system.so /usr/local/lib/libtiff.so /usr/local/lib/libtiffxx.so /usr/local/lib/libpng.so /usr/local/lib/libIlmImf.so /usr/local/lib/libHalf.so /usr/local/lib/libIex.so /usr/local/lib/libImath.so /usr/local/lib/libIlmThread.so ../../libs/math/libaqsis_math.so.1.8 /usr/local/lib/libboost_regex.so -lz -Wl,-rpath,/usr/local/lib:/wrkdirs/usr/ports/graphics/aqsis/work/.build/libs/slxargs:/wrkdirs/usr/ports/graphics/aqsis/work/.build/libs/shadervm:/wrkdirs/usr/ports/graphics/aqsis/work/.build/libs/tex:/wrkdirs/usr/ports/graphics/aqsis/work/.build/libs/util:/wrkdirs/usr/ports/graphics/aqsis/work/.build/libs/math: 
/usr/local/lib/libIlmImf.so: undefined reference to `std::__throw_out_of_range_fmt(char const*, ...)@GLIBCXX_3.4.20'
*** [tools/aqsltell/aqsltell] Error code 1
Comment 1 Gerald Pfeifer freebsd_committer 2015-04-09 19:03:13 UTC
OpenEXR no longer employes USE_GCC=yes, so this issue should be
resolved without changes to graphics/aqsis..